document.addEventListener('DOMContentLoaded', (event) => {
    const fullUrl = window.location.href;
    const explodeUrl = fullUrl.split("=");
    const campaignUrl = explodeUrl[1];
    const campUrl = document.querySelector('#gsg-widget').className;
    const hostname = document.querySelector('#host_name').value;
    const rootUrl = window.location.origin;

    const url = campaignUrl && explodeUrl 
        ? `https://${window.location.hostname}/${campUrl}/grabWidget` 
        : `${hostname}${campUrl}/grabWidget`;

    function updateWidget(width, height) {
        const embedHtml = `<object type="text/html" data="${url}" style="width: ${width}; height: ${height};">`;
        const div = document.querySelector('#gsg-widget');
        const newElement = document.createElement('gsg-widget');
        newElement.innerHTML = embedHtml;
        div.appendChild(newElement);
    }

    setTimeout(function () {
        const element = document.querySelector(`.${campUrl}`);
        const width = element.style.width;
        const height = element.style.height;
        updateWidget(width, height);
    }, 1000);
});